org.apache.commons.math.exception

## Class ZeroException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math.exception.MathIllegalArgumentException
          - - org.apache.commons.math.exception.MathIllegalNumberException
            - - org.apache.commons.math.exception.ZeroException

All Implemented Interfaces:
  java.io.Serializable, MathThrowable

    public class ZeroException
    extends MathIllegalNumberException

Exception to be thrown when zero is provided where it is not allowed.

Since:
  2.2
Version:
  $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version identifier

### Constructor Summary

Constructors
Constructor and Description
`ZeroException()` Construct the exception.
`ZeroException(Localizable specific)` Construct the exception with a specific context.

### Method Summary

### Methods inherited from class org.apache.commons.math.exception.MathIllegalNumberException

`getArgument`

### Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException

`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier

See Also:
  Constant Field Values

### Constructor Detail

#### ZeroException

    public ZeroException()

Construct the exception.

#### ZeroException

    public ZeroException(Localizable specific)

Construct the exception with a specific context.

Parameters:
  `specific` - Specific contexte pattern .